Page MenuHomePhabricator

Document all big announcements made via email, Zulip, etc on Administrators/Announcements pages on MediaWiki.org
Closed, ResolvedPublic

Description

All throughout the programs, announcements will be made via email, Zulip, etc. to interns and mentors. This task is about documenting these announcements on MediaWiki.org so that future organization administrators can benefit from it! Something like what Google does: https://developers.google.com/open-source/gsoc/2019/mentor-oa-announcements. They could be added here:

https://www.mediawiki.org/wiki/Outreachy/Administrators/Announcements
https://www.mediawiki.org/wiki/Google_Summer_of_Code/Administrators/Announcements

Event Timeline

srishakatux triaged this task as Medium priority.Jan 21 2020, 10:31 PM
srishakatux created this task.
Aklapper renamed this task from Document all big announcements made via email, Zulip, etc on MediaWiki.org to Document all big announcements made via email, Zulip, etc on Administrators/Announcements pages on MediaWiki.org.Mar 7 2020, 4:29 PM
srishakatux closed this task as Resolved.Apr 3 2020, 10:34 PM

(closing this task as we are done with documenting big announcements, don't need to keep this task open even if there are more coming)

@srishakatux: I'm wondering

  • if dates on the wiki pages could be made generic (like "1 week before organisation application deadline", "x days before student application deadline" etc)
  • specific dates in emails and links to specific Phab tickets or Twitter entries could be replaced by placeholders (XXXXXX or TODO or such)

so the wiki pages will not require constant maintenance and updating, and it's not required to re-read and check the entire email templates to manually find items which need updating, instead of once simply searching for XXXXXX.